Skip to main content
PUT
/
v1
/
crm
/
tickets
/
{ticketId}
/
activity
/
{activityId}
Update Ticket Activity
curl --request PUT \
  --url https://api.example.com/v1/crm/tickets/{ticketId}/activity/{activityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "metadata": {},
  "isPrivate": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isPrivate": true,
  "createdAt": "<string>",
  "actorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message": "<string>",
  "metadata": {},
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

ticketId
string
required
activityId
string
required

Body

application/json
message
string | null
metadata
object
isPrivate
boolean

Response

The updated ticket activity.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ticketId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
activityType
enum<string>
required
Available options:
comment,
view,
field_change,
document_upload,
ticket_created,
merged_into,
merged_from
isPrivate
boolean
required
createdAt
string
required
actorId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
message
string | null
metadata
object
documentId
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$